Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyComm::NotifySubscribe Interface Reference

Defines interface to report changes in the events required from a supplier. More...

`import "CosNotifyComm.idl";`

Inheritance diagram for CosNotifyComm::NotifySubscribe:

[legend]
List of all members.

## Public Methods
void | subscription_change (in CosNotification::EventTypeSeq added, in CosNotification::EventTypeSeq removed) raises ( InvalidEventType )
| Report a change in the list of subscriptions.

## Detailed Description

Defines interface to report changes in the events required from a supplier.

Interfaces that represent suppliers (or the supplier aspects of the Notification Service) provide this interface to receive changes

## Member Function Documentation

void CosNotifyComm::NotifySubscribe::subscription_change | ( | in CosNotification::EventTypeSeq | added,
|  | in CosNotification::EventTypeSeq | removed
| ) | raises ( InvalidEventType )

  | Report a change in the list of subscriptions. Parameters:
  added | The list of new event types that are interesting for the supplier's peer.
  removed | The list of event types that are no longer interesting for the supplier's peer.
  Exceptions:
  InvalidEventType | if the one or more event types provided is invalid

The documentation for this interface was generated from the following file:

- CosNotifyComm.idl